// models/index.js
const mongoose = require('mongoose');
const dotenv = require('dotenv');
dotenv.config();

const News = require('./News');
const Subscriber = require('./Subscriber');
const Message = require('./Message');

const connectDB = async () => {
  try {
    await mongoose.connect(process.env.MONGO_URI, {
      useNewUrlParser: true,
      useUnifiedTopology: true,
    });
    console.log('MongoDB connected successfully');
  } catch (error) {
    console.error('MongoDB connection error:', error.message);
    process.exit(1);
  }
};

module.exports = {
  connectDB,
  News,
  Subscriber,
  Message,
};
